B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	
	Public Page2 As B4XPage2
	Public Page3 As B4XPage3
	
	Private cbxNavigation As B4XComboBox
	
	Public NavigationIndex As Int
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Log("MainPage Create")
	Root = Root1
	Root.LoadLayout("MainPage")
	
	Page2.Initialize
	B4XPages.AddPage("Page 2", Page2)
	Page3.Initialize
	B4XPages.AddPage("Page 3", Page3)
	
	FillCombobox
End Sub

Private Sub FillCombobox
	Private lst As List
	
	lst.Initialize2(Array As String("1 > 2 > 3 > 2 > 1", "1 > 2 > 3 > 1", "1 > 2 > 1   1 > 3 > 1"))
	cbxNavigation.SetItems(lst)
	NavigationIndex = 0
	cbxNavigation.SelectedIndex = 0
End Sub

Private Sub B4XPage_Appear
	Log("MainPage Appear")
End Sub

Private Sub B4XPage_Disappear
	Log("MainPage Disappear")
End Sub

Private Sub B4XPage_Foreground
	Log("MainPage Foreground")
End Sub

Private Sub B4XPage_Background
	Log("MainPage Background")
End Sub

Private Sub B4XPage_Resize (Width As Int, Height As Int)
	Log("MainPage Resize " & Width & " / " & Height)
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub btnPage2_Click
	B4XPages.ShowPage("Page 2")
End Sub

Private Sub btnPage3_Click
	B4XPages.ShowPage("Page 3")	
End Sub

Private Sub cbxNavigation_SelectedIndexChanged (Index As Int)
	NavigationIndex = Index
End Sub
